#ifndef Alarmmanager_H
#define Alarmmanager_H

#include <QWidget>

// cumbia
#include <qulogimpl.h>
#include <cucontrolsfactorypool.h>
class CumbiaPool;
// cumbia

namespace Ui {
class Alarmmanager;
}

class QTreeWidget;
class QTreeWidgetItem;
class QuTreeModelPluginInterface;
class QAbstractItemModel;
class QuTreeModelI;
class QItemSelection;
class CuData;

class Alarmmanager : public QWidget
{
    Q_OBJECT

public:
    explicit Alarmmanager(CumbiaPool *cu_p, QWidget *parent = 0);
    ~Alarmmanager();

    QTreeWidgetItem * findItem(const QString& s, QTreeWidgetItem *parent = nullptr);

private:
    Ui::Alarmmanager *ui;

    // cumbia
    CumbiaPool *cu_pool;
    QuLogImpl m_log_impl;
    CuControlsFactoryPool m_ctrl_factory_pool;
    // cumbia

    void m_add_item(QTreeWidgetItem *t, const QString& s);

    QuTreeModelPluginInterface *tree_i;
    QAbstractItemModel *m_model;
    QuTreeModelI *m_model_i;

    QStringList m_attributes;

private slots:

    void m_tag_written(const QString &dev);
    void m_filter();
    void m_load(const CuData &da, bool expand = true);
    void m_load_atts(const CuData &da);
    void m_selection_changed(const QItemSelection &sel, const QItemSelection &desel);
    void m_on_tag_writer_data(const CuData& da);
    void m_expand_l3();
    void m_on_change(const CuData &da);
    void m_load_alarm_list();
    void m_search_text_changed(const QString &);
};

#endif // Alarmmanager_H
